Loading...
Searching...
No Matches
BALL::HashGridBox3< Item >::DataIteratorTraits Class Reference

`#include <BALL/DATATYPE/hashGrid.h>`

## Public Member Functions

virtual | ~DataIteratorTraits ()
| DataIteratorTraits ()
| DataIteratorTraits (const HashGridBox3 &box)
| DataIteratorTraits (const DataIteratorTraits &traits, bool=true)
const DataIteratorTraits & | operator= (const DataIteratorTraits &traits)
HashGridBox3 * | getContainer ()
const HashGridBox3 * | getContainer () const
bool | isSingular () const
DataIteratorPosition & | getPosition ()
const DataIteratorPosition & | getPosition () const
bool | operator== (const DataIteratorTraits &traits) const
bool | operator!= (const DataIteratorTraits &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
Item & | getData ()
const Item & | getData () const
void | forward ()

## Detailed Description

template<typename Item>
class BALL::HashGridBox3< Item >::DataIteratorTraits

Definition at line 364 of file hashGrid.h.

## Constructor & Destructor Documentation

## ~DataIteratorTraits()

template<typename Item>

virtual BALL::HashGridBox3< Item >::DataIteratorTraits::~DataIteratorTraits | ( |  | ) |

inline virtual

Definition at line 370 of file hashGrid.h.

## DataIteratorTraits() [1/3]

template<typename Item>

BALL::HashGridBox3< Item >::DataIteratorTraits::DataIteratorTraits | ( |  | ) |

inline

Definition at line 372 of file hashGrid.h.

## DataIteratorTraits() [2/3]

template<typename Item>

BALL::HashGridBox3< Item >::DataIteratorTraits::DataIteratorTraits | ( | const HashGridBox3 & | box | ) |

inline

Definition at line 378 of file hashGrid.h.

## DataIteratorTraits() [3/3]

template<typename Item>

BALL::HashGridBox3< Item >::DataIteratorTraits::DataIteratorTraits | ( | const DataIteratorTraits & | traits,
|  | bool | = true )

inline

Definition at line 384 of file hashGrid.h.

## Member Function Documentation

## forward()

template<typename Item>

void BALL::HashGridBox3< Item >::DataIteratorTraits::forward | ( |  | ) |

inline

Definition at line 473 of file hashGrid.h.

## getContainer() [1/2]

template<typename Item>

HashGridBox3 * BALL::HashGridBox3< Item >::DataIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 397 of file hashGrid.h.

## getContainer() [2/2]

template<typename Item>

const HashGridBox3 * BALL::HashGridBox3< Item >::DataIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 402 of file hashGrid.h.

## getData() [1/2]

template<typename Item>

Item & BALL::HashGridBox3< Item >::DataIteratorTraits::getData | ( |  | ) |

inline

Definition at line 463 of file hashGrid.h.

## getData() [2/2]

template<typename Item>

const Item & BALL::HashGridBox3< Item >::DataIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 468 of file hashGrid.h.

## getPosition() [1/2]

template<typename Item>

DataIteratorPosition & BALL::HashGridBox3< Item >::DataIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 412 of file hashGrid.h.

## getPosition() [2/2]

template<typename Item>

const DataIteratorPosition & BALL::HashGridBox3< Item >::DataIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 417 of file hashGrid.h.

## invalidate()

template<typename Item>

void BALL::HashGridBox3< Item >::DataIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 437 of file hashGrid.h.

## isBegin()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 448 of file hashGrid.h.

## isEnd()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 458 of file hashGrid.h.

## isSingular()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 407 of file hashGrid.h.

## isValid()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 432 of file hashGrid.h.

## operator!=()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::operator!= | ( | const DataIteratorTraits & | traits | ) | const

inline

Definition at line 427 of file hashGrid.h.

## operator=()

template<typename Item>

const DataIteratorTraits & BALL::HashGridBox3< Item >::DataIteratorTraits::operator= | ( | const DataIteratorTraits & | traits | ) |

inline

Definition at line 390 of file hashGrid.h.

## operator==()

template<typename Item>

bool BALL::HashGridBox3< Item >::DataIteratorTraits::operator== | ( | const DataIteratorTraits & | traits | ) | const

inline

Definition at line 422 of file hashGrid.h.

## toBegin()

template<typename Item>

void BALL::HashGridBox3< Item >::DataIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 443 of file hashGrid.h.

## toEnd()

template<typename Item>

void BALL::HashGridBox3< Item >::DataIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 453 of file hashGrid.h.